Bug 150703 - maintainer-update of mail/mutt-devel
Summary: maintainer-update of mail/mutt-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-18 16:00 UTC by Udo.Schweigert
Modified: 2010-09-24 22:30 UTC (History)
0 users

See Also:


Attachments
file.diff (84.52 KB, patch)
2010-09-18 16:00 UTC, Udo.Schweigert
no flags Details | Diff
mutt-devel.diff (84.66 KB, patch)
2010-09-19 09:51 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2010-09-18 16:00:06 UTC
Maintainer update of mail/mutt-devel:

	- Update to version 1.5.21
	- Fix handling of pgp messages containing CR LF lines

Commiter:
	- new files (cvs add): files/extra-patch-greeting files/patch-pgp
	- removes files (cvs rm): files/patch-buffy.c files/patch-mutt-ssl.c
Comment 1 Eygene Ryabinkin 2010-09-18 19:55:36 UTC
Udo, your mktemp patch is slightly incorrect: since _mutt_mktemp now has
'slen' argument, you should use it instead of _POSIX_PATH_MAX and check
for slen > 6 to avoid signed underflow in snprintf().

And it is better not to drop introduced debug statements: they could
help debugging weird problems.
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook
    {_.-``-'         {_/            #
Comment 2 Udo.Schweigert 2010-09-19 09:51:43 UTC
On Sat, Sep 18, 2010 at 19:00:11 +0000, Eygene Ryabinkin wrote:
> The following reply was made to PR ports/150703; it has been noted by GNATS.
> 
> From: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
> To: bug-followup@freebsd.org
> Cc:  
> Subject: ports/150703: maintainer-update of mail/mutt-devel
> Date: Sat, 18 Sep 2010 22:55:36 +0400
> 
>  Udo, your mktemp patch is slightly incorrect: since _mutt_mktemp now has
>  'slen' argument, you should use it instead of _POSIX_PATH_MAX and check
>  for slen > 6 to avoid signed underflow in snprintf().

Eygene,

you're of course right, the simple copy of the old code was not a good idea.
Attached is a new patch for the whole port upgrade.
The _mutt_mktemp now looks like this:

void _mutt_mktemp (char *s, size_t slen, const char *src, int line)
{
  size_t n = snprintf (s, slen, "%s/mutt-%s-XXXXXXXX", NONULL (Tempdir), NONULL (Hostname));
  if (n >= slen)
    dprint (1, (debugfile, "%s:%d: ERROR: insufficient buffer space to hold temporary filename! slen=%zu but need %zu\n",
            src, line, slen, n));
  if (mktemp (s)) {
    dprint (3, (debugfile, "%s:%d: mutt_mktemp returns \"%s\".\n", src, line, s));
  } else {
    dprint (1, (debugfile, "%s:%d: ERROR: mktemp(\"%s\"): %s (errno %d)\n", src, line, s, strerror (errno), errno));
  }
}


Thanks for having looked at this.


Regards,

Udo
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-22 23:54:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-24 07:24:49 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 5 David E. O'Brien freebsd_committer 2010-09-24 22:06:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Committing it
Comment 6 dfilter service freebsd_committer 2010-09-24 22:29:06 UTC
obrien      2010-09-24 21:29:00 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile distinfo 
    mail/mutt-devel/files extra-patch-doc-xml extra-patch-sidebar 
                          extra-patch-sidebar-nntp patch-02 
                          patch-buffy.c patch-doc-manual.xml.head 
                          patch-mktemp patch-mutt-ssl.c 
  Log:
  Maintainer update to version 1.5.21.
  (also fixes handling of PGP messages containing CR/LF lines)
  
  PR:             150703, 150457, 150655
  Submitted by:   Udo.Schweigert@siemens.com (maintainer)
  
  Revision  Changes    Path
  1.313     +6 -11     ports/mail/mutt-devel/Makefile
  1.115     +15 -24    ports/mail/mutt-devel/distinfo
  1.4       +7 -7      ports/mail/mutt-devel/files/extra-patch-doc-xml
  1.6       +470 -718  ports/mail/mutt-devel/files/extra-patch-sidebar
  1.4       +377 -523  ports/mail/mutt-devel/files/extra-patch-sidebar-nntp
  1.26      +9 -9      ports/mail/mutt-devel/files/patch-02
  1.2       +0 -10     ports/mail/mutt-devel/files/patch-buffy.c
  1.5       +0 -9      ports/mail/mutt-devel/files/patch-doc-manual.xml.head
  1.6       +20 -12    ports/mail/mutt-devel/files/patch-mktemp
  1.2       +0 -11     ports/mail/mutt-devel/files/patch-mutt-ssl.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 David E. O'Brien freebsd_committer 2010-09-24 22:29:20 UTC
State Changed
From-To: open->closed

Committed, thanks!